Subject: Re: bug#78659: [PATCH] Pacify Clang's -Wformat-signedness.

From: Paul Eggert <[email-masked]>
Date: Sat, 31 May 2025 23:47:15 -0700

On 2025-05-31 23:24, Eli Zaretskii wrote:
> Paul, any comments or suggestions?

As a general rule of thumb, I wouldn't bother pacifying anything but the 
latest GCC, especially to work around false alarms (which these are). 
Since this is isn't the latest GCC and these are false alarms, I suggest 
ignoring the false alarms, or silencing them by using ./configure 
--disable-gcc-warnings.

Come to think of it, when building from Git maybe 'configure' should 
make --enable-gcc-warnings the default only when using recent GCC. 
Currently it also defaults to --enable-gcc-warnings with Clang or with 
older GCC, but that's probably more trouble than it's worth.